Bug 3646 - Many Indian language locales still missing as of xorg_x11 6.8.2
Summary: Many Indian language locales still missing as of xorg_x11 6.8.2
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: * Other (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: Daniel Stone
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2005-06-28 02:08 UTC by Daniel Stone
Modified: 2011-10-15 16:23 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for xorg-x11-6.8.2 srpm (4.77 KB, patch)
2006-03-20 19:27 UTC, Mayank Jain
no flags Details | Splinter Review
Patch for 6 indic locales (5.75 KB, patch)
2006-07-03 02:52 UTC, Mayank Jain
no flags Details | Splinter Review
Corrected colon (:) problem (5.76 KB, patch)
2006-07-10 23:10 UTC, Mayank Jain
no flags Details | Splinter Review
Patch generated against git code (4.23 KB, patch)
2006-07-11 01:13 UTC, Mayank Jain
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description FreeDesktop Bugzilla Database Corruption Fix User 2005-06-28 02:08:05 UTC
Hello,
  The locales in /usr/X11R6/lib/X11/locale/{compose.dir,locale.dir,locale.alias}
are still missing many Indian languages, even where these exist in Unicode.
The symptom is a warning message when trying to run under one of these locales.
E.g.,
  env LANG=or_IN gedit
gives the error message:
  (gedit:2600): Gdk-WARNING **: locale not supported by Xlib

  (gedit:2600): Gdk-WARNING **: can not set locale modifiers
For a properly installed X locale, none such warning should be generated. I
have fixed this locally for Oriya (or) by trial and error, but in the absence
of documentation on writing X locales, I cannot be sure that my fix is correct.
The available Indian language locales in 6.8.2 are:
  Bengali  (bn_IN.UTF-8)
  Gujarati (gu_IN.UTF-8)
  Hindi ISCII (hi_IN.ISCII-DEV)
  Hindi (hi_IN.UTF-8)
  Punjabi (pa_in.UTF-8)
  Tamil (ta_IN.UTF8)
At least the following additional locales should exist:
  Assamese (as_IN.UTF-8)
  Kannada (kn_IN.UTF-8)
  Malayalam (ml_IN.UTF-8)
  Marathi (mr_IN.UTF-8)
  Oriya (or_IN.UTF-8)
  Telugu (te_IN.UTF-8)
  Urdu (ur_IN.UTF-8)
A similar bug was filed last year with Redhat bugzilla, and apparently some
action was taken. Please see,
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=124253

Regards,
Gora
Comment 1 Gora Mohanty 2005-09-04 05:08:50 UTC
Did something happen to bugzilla.freedesktop.org? The text for this bug seems
to have disappeared, and it does not recognize any of my older accounts.
Refiling the text:

X is missing various Indian locales as of version 6.8.2. The symptom is that
when an Xprogram is launched in one of the missing locales, an error message
is generated, e.g., with
   env LANG=or_IN gedit
I get the error messages
(gedit:2635): Gdk-WARNING **: locale not supported by Xlib
(gedit:2635): Gdk-WARNING **: cannot set locale modifiers
I have fixed this for or_IN by modifying compose.dir and locale.{alias,dir}
by trial and error, but due to lack of documentation, I am not sure if it is
correctly done.
  As of now, the following Indian language locales exist:
Bengali
Gujarati
Hindi
Punjabi
Tamil
New locales need to be added at least for
Assamese       as_IN.UTF-8
Kannada        kn_IN.UTF-8
Malayalam      ml_IN.UTF-8
Marathi        mr_IN.UTF-8
Oriya          or_IN.UTF-8
Telugu         te_IN.UTF-8
Urdu           ur_IN.UTF-8


Comment 2 Daniel Stone 2005-09-30 00:52:30 UTC
Could you please attach a patch?
Comment 3 Mayank Jain 2006-03-20 19:27:50 UTC
Created attachment 4997 [details] [review]
Patch for xorg-x11-6.8.2 srpm

Hi, i've added {as,kn,ml,or,ur,te} to the xorg-x11-6.8.2 srpm
The changed files are locale.alias & locale.dir
Can the package maintainer please review the patch.

Related bug at Red Hat bugzilla -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185376

Thanks :)
Comment 4 Mayank Jain 2006-06-05 23:31:11 UTC
Hi, can someone please review my patch...

thanks :)
Mayank
Comment 5 Mayank Jain 2006-06-26 00:06:43 UTC
Hi Daniel,

Can the patch be please reviewed? The downstream reveiw depends on upstream review.

I'd be happy to contribute to any more work if required from my side.

:)
Mayank
Comment 6 Mike A. Harris 2006-06-30 17:39:34 UTC
(In reply to comment #4)
> Hi Daniel,
> 
> Can the patch be please reviewed? The downstream reveiw depends on upstream
review.
> 
> I'd be happy to contribute to any more work if required from my side.

Can you update the patch to cleanly apply to the current X.Org X11R7.1
release?
Comment 7 Mike A. Harris 2006-06-30 17:45:03 UTC
The original bug report seems to have lost the reporter email address.  Assuming
it was Mayank Jain, and adding to CC.
Comment 8 Mayank Jain 2006-07-03 02:52:53 UTC
Created attachment 6104 [details] [review]
Patch for 6 indic locales

Hi,
The patch, adapted to latest codebase (cvs) is attached, kindly have a look.

Thanks,
Mayank
Comment 9 Mayank Jain 2006-07-10 23:10:15 UTC
Created attachment 6185 [details] [review]
Corrected colon (:) problem
Comment 10 Mayank Jain 2006-07-11 01:13:14 UTC
Created attachment 6186 [details] [review]
Patch generated against git code

Hi, i've generated the new patch against latest code fetched from GIT.

Kindly review it.

Thanks,
Mayank
Comment 11 Mike A. Harris 2006-07-11 10:46:14 UTC
Can someone please review this and check it into CVS if there are no
concerns/issues with the patch?

Thanks in advance.
Comment 12 Daniel Stone 2006-07-11 11:44:06 UTC
done
Comment 13 Mayank Jain 2006-07-11 22:04:12 UTC
Thanks Daniel, Mike :)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.